## org.apache.lucene.codecs.mocksep
Class MockSingleIntIndexInput

    java.lang.Object
      org.apache.lucene.codecs.sep.IntIndexInput
          org.apache.lucene.codecs.mocksep.MockSingleIntIndexInput

All Implemented Interfaces:
  Closeable

    public class MockSingleIntIndexInput

extends IntIndexInput

Reads IndexInputs written with `MockSingleIntIndexOutput`. NOTE: this class is just for demonstration purposes (it is a very slow way to read a block of ints).

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` `MockSingleIntIndexInput.Reader` Just reads a vInt directly from the file.

Nested classes/interfaces inherited from class org.apache.lucene.codecs.sep.IntIndexInput
`IntIndexInput.Index`

Constructor Summary
`MockSingleIntIndexInput(Directory dir, String fileName, IOContext context)`

Method Summary
`void` `close()`
`IntIndexInput.Index` `index()`
`MockSingleIntIndexInput.Reader` `reader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockSingleIntIndexInput

    public MockSingleIntIndexInput(Directory dir,
                                   String fileName,
                                   IOContext context)
                            throws IOException

Throws:
  `IOException`

Method Detail

### reader

    public MockSingleIntIndexInput.Reader reader()
                                          throws IOException

  Specified by:
    `reader` in class `IntIndexInput`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `IntIndexInput`
  Throws:
    `IOException`

### index

    public IntIndexInput.Index index()

  Specified by:
    `index` in class `IntIndexInput`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.